# oslo.upgradecheck

Common code for writing OpenStack upgrade checks.

This project can be used to assist with the implementation of a `$SERVICE-status` command that responds to parameters of `upgrade check` by running upgrade check functions on the existing installation. For further details see Usage and the Nova documentation on upgrade checks.

## Contents

- Installation
- API
  - upgradecheck module
- Usage
  - Example
- Contributing

## Release Notes

Read also the oslo.upgradecheck Release Notes.

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-07-15 01:26:11

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug